Subject: Re: [PATCH] Let "git svn" run "git gc --auto" occasionally

From: Eric Wong <[email-masked]>
Date: Sat, 19 Jan 2008 19:37:37 -0800

Harvey Harrison <[email-masked]> wrote:
> On Sat, 2008-01-19 at 23:36 +0100, Karl Hasselström wrote:
> > Let "git svn" run "git gc --auto" every 100 imported commits, to
> > reduce the number of loose objects.
> 
> I found 100 was a bit too low when doing some large repos, I've
> been using 1000.  I'd argue that --repack=1000 should be done by
> default.

I've found 100 for repack too low in the past, too, which is why
repack defaults to 1000 if no number is specified.  I think it
should hold for gc --auto, too.

> > I'm not quite sure how this should interact with the --repack flag.
> > Right now they just coexist, except for never running right after one
> > another, but conceivably we should do something cleverer. Eric?

I consider --repack is out-of-date now that we have gc --auto.  I'm in
favor of ripping out repack support in git-svn and just using gc --auto.

> How about git gc always gets run at the very end of a git svn fetch?

I'd much prefer that we run gc --auto at the end of every fetch instead
of doing so randomly for small fetches.

-- 
Eric Wong